--- title: "Set person modification thumbnail" slug: "maiu-set-person-thumbnail" updated: 2026-10-08T04:13:06Z published: 2026-10-08T04:13:06Z canonical: "api.ncloud-docs.com/maiu-set-person-thumbnail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Set person modification thumbnail Available in VPC Add a thumbnail to a person. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/workspaces/{workspace_name}/persons/{person_id}/person-thumbnail | ### Request headers For information about the request headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspace_name` | String | Required | Workspace name | | `person_id` | String | Required | Person ID - See [Get people list](/docs/en/maiu-list-persons). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `thumbnails` | Array | Required | List of thumbnails to register: [thumbnails](/docs/en/maiu-set-person-thumbnail#thumbnails) | #### `thumbnails` The following describes `thumbnails`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `thumbnailKey` | String | Required | Key value of the thumbnail uploaded to Object Storage | | `isPrimaryThumbnail` | Boolean | Required | Whether it is the main thumbnail - `true` \| `false` | ### Request example The request example is as follows: ``` curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/persons/1001/person-thumbnail' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "thumbnails": [ { "thumbnailKey": "my-workspace/W05xCokQ1v/jiho0.jpg", "isPrimaryThumbnail": true } ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | Person thumbnail list object | | `result.personId` | Integer | - | Person ID | | `result.thumbnailList` | Array | - | List of thumbnails finally registered to the person: [thumbnailList](/docs/en/maiu-set-person-thumbnail#thumbnailList) - Existing thumbnails + newly added thumbnails. | #### `thumbnailList` The following describes `thumbnailList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Integer | - | Thumbnail ID | | `url` | String | - | Thumbnail image URL (presigned URL) | | `isPrimaryThumbnail` | Boolean | - | Whether it is the main thumbnail - `true` \| `false` | | `thumbnailSource` | String | - | Thumbnail registration method - `AUTO` \| `MANUAL` - `AUTO`: Thumbnail automatically extracted during media analysis. - `MANUAL`: Thumbnail uploaded directly by the user. | ### Response status codes For information about the response status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "personId": 1001, "thumbnailList": [ { "id": 1234, "url": "https://kr.object.ncloudstorage.com/.../jiho0.jpg?...", "isPrimaryThumbnail": true, "thumbnailSource": "MANUAL" } ] } } ```